# Class CSLLOutput

java.lang.Object
com.io7m.certusine.looseleaf.internal.CSLLOutput

All Implemented Interfaces:
  `CSCertificateOutputType`

public final class CSLLOutput extends Object implements CSCertificateOutputType
A looseleaf certificate output.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSLLOutput(CSLLStrings inStrings, String inName, CSLLCredentials inCredentials, String inEndpoint)`
  A looseleaf certificate output.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `name()`
  `String`
  `type()`
  `void`
  `write(CSTelemetryServiceType telemetry, CSCertificateOutputData outputData)`
  Write a certificate to the output.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CSLLOutput

    public CSLLOutput(CSLLStrings inStrings, String inName, CSLLCredentials inCredentials, String inEndpoint)
    A looseleaf certificate output.
    Parameters:
      `inStrings` - The strings
      `inName` - The output name
      `inCredentials` - The credentials
      `inEndpoint` - The endpoint base address

- ## Method Details

  - ### type

    public String type()
    Specified by:
      `type` in interface `CSCertificateOutputType`
    Returns:
      The type of the output

  - ### name

    public String name()
    Specified by:
      `name` in interface `CSCertificateOutputType`
    Returns:
      The name of the output

  - ### write

    public void write(CSTelemetryServiceType telemetry, CSCertificateOutputData outputData) throws IOException, InterruptedException
    Description copied from interface: `CSCertificateOutputType`
    Write a certificate to the output.
    Specified by:
      `write` in interface `CSCertificateOutputType`
    Parameters:
      `telemetry` - The telemetry service
      `outputData` - The data to be written
    Throws:
      `IOException` - On I/O errors
      `InterruptedException`